libgphoto2 photo camera library (libgphoto2) API 2.5.2

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
LogFunc Struct Reference

Internal logging function entry. More...

## Data Fields
unsigned int | id
GPLogLevel | level
GPLogFunc | func
void * | data

## Detailed Description

Internal logging function entry.

Internal structure to remember the logging functions. Use gp_log_add_func() and gp_log_remove_func() to access it.

## Field Documentation

void* LogFunc::data

Private data supplied by caller

Referenced by gp_log_add_func().

GPLogFunc LogFunc::func

Internal function pointer to call

Referenced by gp_log_add_func(), and gp_logv().

unsigned int LogFunc::id

Internal id

Referenced by gp_log_add_func().

GPLogLevel LogFunc::level

Internal loglevel

Referenced by gp_log_add_func().

The documentation for this struct was generated from the following file:

- libgphoto2_port/libgphoto2_port/gphoto2-port-log.c